Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -5635,10 +5466,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Release of latent heat and change of mixing ratio due to condensation /
-!> evaporation of droplets.
-!------------------------------------------------------------------------------!
+!> Release of latent heat and change of mixing ratio due to condensation / evaporation of droplets.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_interaction_droplets_ptq
 
@@ -5657,6 +5487,5 @@
 
              q(k,j,i)  = q(k,j,i)  - ql_c(k,j,i) * flag
-             pt(k,j,i) = pt(k,j,i) + lv_d_cp * ql_c(k,j,i) * d_exner(k) &
-                                                           * flag
+             pt(k,j,i) = pt(k,j,i) + lv_d_cp * ql_c(k,j,i) * d_exner(k) * flag
           ENDDO
        ENDDO
@@ -5666,10 +5495,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Release of latent heat and change of mixing ratio due to condensation /
-!> evaporation of droplets. Call for grid point i,j
-!------------------------------------------------------------------------------!
+!> Release of latent heat and change of mixing ratio due to condensation / evaporation of droplets.
+!> Call for grid point i,j
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_interaction_droplets_ptq_ij( i, j )
 
@@ -5693,9 +5522,9 @@
 
 
-!------------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Calculate the liquid water content for each grid box.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_calc_liquid_water_content
 
@@ -5721,21 +5550,16 @@
              particles => grid_particles(k,j,i)%particles(1:number_of_particles)
 !
-!--          Calculate the total volume in the boxes (ql_v, weighting factor
-!--          has to beincluded)
+!--          Calculate the total volume in the boxes (ql_v, weighting factor has to beincluded)
              DO  n = 1, prt_count(k,j,i)
-                ql_v(k,j,i)  = ql_v(k,j,i)  + particles(n)%weight_factor *     &
-                                              particles(n)%radius**3
+                ql_v(k,j,i)  = ql_v(k,j,i)  + particles(n)%weight_factor * particles(n)%radius**3
              ENDDO
 !
 !--          Calculate the liquid water content
              IF ( ql_v(k,j,i) /= 0.0_wp )  THEN
-                ql(k,j,i) = ql(k,j,i) + rho_l * 1.33333333_wp * pi *           &
-                                        ql_v(k,j,i) /                          &
-                                        ( rho_surface * dx * dy * dzw(k) )
+                ql(k,j,i) = ql(k,j,i) + rho_l * 1.33333333_wp * pi *                               &
+                                        ql_v(k,j,i) / ( rho_surface * dx * dy * dzw(k) )
                 IF ( ql(k,j,i) < 0.0_wp )  THEN
-                   WRITE( message_string, * )  'LWC out of range: ' , &
-                                               ql(k,j,i),i,j,k
-                   CALL message( 'lpm_calc_liquid_water_content', 'PA0719',    &
-                                   2, 2, -1, 6, 1 )
+                   WRITE( message_string, * )  'LWC out of range: ' , ql(k,j,i),i,j,k
+                   CALL message( 'lpm_calc_liquid_water_content', 'PA0719', 2, 2, -1, 6, 1 )
                 ENDIF
              ELSE
@@ -5751,21 +5575,20 @@
 
 
-!------------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculates change in droplet radius by collision. Droplet collision is
-!> calculated for each grid box seperately. Collision is parameterized by
-!> using collision kernels. Two different kernels are available:
-!> Hall kernel: Kernel from Hall (1980, J. Atmos. Sci., 2486-2507), which
-!>              considers collision due to pure gravitational effects.
-!> Wang kernel: Beside gravitational effects (treated with the Hall-kernel) also
-!>              the effects of turbulence on the collision are considered using
-!>              parameterizations of Ayala et al. (2008, New J. Phys., 10,
-!>              075015) and Wang and Grabowski (2009, Atmos. Sci. Lett., 10,
-!>              1-8). This kernel includes three possible effects of turbulence:
+!> Calculates change in droplet radius by collision. Droplet collision is calculated for each grid
+!> box seperately. Collision is parameterized by using collision kernels. Two different kernels are
+!> available:
+!> Hall kernel: Kernel from Hall (1980, J. Atmos. Sci., 2486-2507), which considers collision due to
+!>              pure gravitational effects.
+!> Wang kernel: Beside gravitational effects (treated with the Hall-kernel) also the effects of
+!>              turbulence on the collision are considered using parameterizations of Ayala et al.
+!>              (2008, New J. Phys., 10, 075015) and Wang and Grabowski (2009, Atmos. Sci. Lett.,
+!>              10, 1-8). This kernel includes three possible effects of turbulence:
 !>              the modification of the relative velocity between the droplets,
-!>              the effect of preferential concentration, and the enhancement of
-!>              collision efficiencies.
-!------------------------------------------------------------------------------! 
+!>              the effect of preferential concentration,
+!>              and the enhancement of collision efficiencies.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_droplet_collision (i,j,k)
 
@@ -5789,7 +5612,7 @@
     REAL(wp) ::  xsn                     !< aerosol mass of super-droplet n
 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  aero_mass !< total aerosol mass of super droplet
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mass      !< total mass of super droplet
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  weight    !< weighting factor
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mass      !< total mass of super droplet
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  aero_mass !< total aerosol mass of super droplet
 
     CALL cpu_log( log_point_s(43), 'lpm_droplet_coll', 'start' )
@@ -5804,9 +5627,8 @@
        IF ( use_kernel_tables )  THEN
 !
-!--       Fast method with pre-calculated collection kernels for
-!--       discrete radius- and dissipation-classes.
+!--       Fast method with pre-calculated collection kernels for discrete radius- and
+!--       dissipation-classes.
           IF ( wang_kernel )  THEN
-             eclass = INT( diss(k,j,i) * 1.0E4_wp / 600.0_wp * &
-                           dissipation_classes ) + 1
+             eclass = INT( diss(k,j,i) * 1.0E4_wp / 600.0_wp * dissipation_classes ) + 1
              epsilon_collision = diss(k,j,i)
           ELSE
@@ -5822,23 +5644,22 @@
        ELSE
 !
-!--       Collection kernels are re-calculated for every new
-!--       grid box. First, allocate memory for kernel table.
-!--       Third dimension is 1, because table is re-calculated for
-!--       every new dissipation value.
+!--       Collection kernels are re-calculated for every new grid box. First, allocate memory for
+!--       kernel table.
+!--       Third dimension is 1, because table is re-calculated for every new dissipation value.
           ALLOCATE( ckernel(1:number_of_particles,1:number_of_particles,1:1) )
 !
-!--       Now calculate collection kernel for this box. Note that
-!--       the kernel is based on the previous time step
+!--       Now calculate collection kernel for this box. Note that the kernel is based on the
+!--       previous time step
           CALL recalculate_kernel( i, j, k )
 
        ENDIF
 !
-!--    Temporary fields for total mass of super-droplet, aerosol mass, and
-!--    weighting factor are allocated.
+!--    Temporary fields for total mass of super-droplet, aerosol mass, and weighting factor are
+!--    allocated.
        ALLOCATE(mass(1:number_of_particles), weight(1:number_of_particles))
        IF ( curvature_solution_effects )  ALLOCATE(aero_mass(1:number_of_particles))
 
-       mass(1:number_of_particles)   = particles(1:number_of_particles)%weight_factor * &
-                                       particles(1:number_of_particles)%radius**3     * &
+       mass(1:number_of_particles)   = particles(1:number_of_particles)%weight_factor *            &
+                                       particles(1:number_of_particles)%radius**3     *            &
                                        factor_volume_to_mass
 
@@ -5846,6 +5667,6 @@
 
        IF ( curvature_solution_effects )  THEN
-          aero_mass(1:number_of_particles) = particles(1:number_of_particles)%weight_factor * &
-                                             particles(1:number_of_particles)%aux1**3       * &
+          aero_mass(1:number_of_particles) = particles(1:number_of_particles)%weight_factor *      &
+                                             particles(1:number_of_particles)%aux1**3       *      &
                                              4.0_wp / 3.0_wp * pi * rho_s
        ENDIF
@@ -5856,6 +5677,6 @@
           DO  m = n, number_of_particles
 !
-!--          For collisions, the weighting factor of at least one super-droplet
-!--          needs to be larger or equal to one.
+!--          For collisions, the weighting factor of at least one super-droplet needs to be larger
+!--          or equal to one.
              IF ( MIN( weight(n), weight(m) ) < 1.0_wp )  CYCLE
 !
@@ -5873,8 +5694,8 @@
                 rclass_s = particles(m)%class
 
-                collection_probability  = MAX( weight(n), weight(m) ) *     &
+                collection_probability  = MAX( weight(n), weight(m) ) *                            &
                                           ckernel(rclass_l,rclass_s,eclass) * ddV * dt_3d
              ELSE
-                collection_probability  = MAX( weight(n), weight(m) ) *     &
+                collection_probability  = MAX( weight(n), weight(m) ) *                            &
                                           ckernel(n,m,1) * ddV * dt_3d
              ENDIF
@@ -5883,6 +5704,5 @@
 !--          (Accordingly, p_crit will be 0.0, 1.0, 2.0, ...)
              CALL random_number_parallel( random_dummy )
-             IF ( collection_probability - FLOOR(collection_probability)    &
-                  > random_dummy )  THEN
+             IF ( collection_probability - FLOOR(collection_probability) > random_dummy )  THEN
                 collection_probability = FLOOR(collection_probability) + 1.0_wp
              ELSE
@@ -5919,11 +5739,9 @@
 !--                particle m collects 1/2 weight(m) droplets of particle n.
 !--                The total mass mass changes accordingly.
-!--                If n = m, the first half of the droplets coalesces with the
-!--                second half of the droplets; mass is unchanged because
-!--                xm = xn for n = m.
+!--                If n = m, the first half of the droplets coalesces with the second half of the
+!--                droplets; mass is unchanged because xm = xn for n = m.
 !--
-!--                Note: For m = n this equation is an approximation only
-!--                valid for weight >> 1 (which is usually the case). The
-!--                approximation is weight(n)-1 = weight(n).
+!--                Note: For m = n this equation is an approximation only valid for weight >> 1
+!--                (which is usually the case). The approximation is weight(n)-1 = weight(n).
                    mass(n)   = mass(n)   + 0.5_wp * weight(n) * ( xm - xn )
                    mass(m)   = mass(m)   + 0.5_wp * weight(m) * ( xn - xm )
@@ -5947,19 +5765,18 @@
        IF ( ANY(weight < 0.0_wp) )  THEN
              WRITE( message_string, * ) 'negative weighting factor'
-             CALL message( 'lpm_droplet_collision', 'PA0028',      &
-                            2, 2, -1, 6, 1 )
+             CALL message( 'lpm_droplet_collision', 'PA0028', 2, 2, -1, 6, 1 )
        ENDIF
 
-       particles(1:number_of_particles)%radius = ( mass(1:number_of_particles) /   &
-                                                   ( weight(1:number_of_particles) &
-                                                     * factor_volume_to_mass       &
-                                                   )                               &
+       particles(1:number_of_particles)%radius = ( mass(1:number_of_particles) /                   &
+                                                    ( weight(1:number_of_particles)                &
+                                                      * factor_volume_to_mass                      &
+                                                    )                                              &
                                                  )**0.33333333333333_wp
 
        IF ( curvature_solution_effects )  THEN
-          particles(1:number_of_particles)%aux1 = ( aero_mass(1:number_of_particles) / &
-                                                    ( weight(1:number_of_particles)    &
-                                                      * 4.0_wp / 3.0_wp * pi * rho_s   &
-                                                    )                                  &
+          particles(1:number_of_particles)%aux1 = ( aero_mass(1:number_of_particles) /             &
+                                                     ( weight(1:number_of_particles)               &
+                                                       * 4.0_wp / 3.0_wp * pi * rho_s              &
+                                                     )                                             &
                                                   )**0.33333333333333_wp
        ENDIF
@@ -5974,9 +5791,8 @@
 !--    Check if LWC is conserved during collision process
        IF ( ql_v(k,j,i) /= 0.0_wp )  THEN
-          IF ( ql_vp(k,j,i) / ql_v(k,j,i) >= 1.0001_wp  .OR.                      &
+          IF ( ql_vp(k,j,i) / ql_v(k,j,i) >= 1.0001_wp  .OR.                                       &
                ql_vp(k,j,i) / ql_v(k,j,i) <= 0.9999_wp )  THEN
-             WRITE( message_string, * ) ' LWC is not conserved during',           &
-                                        ' collision! ',                           &
-                                        ' LWC after condensation: ', ql_v(k,j,i), &
+             WRITE( message_string, * ) ' LWC is not conserved during',' collision! ',             &
+                                        ' LWC after condensation: ', ql_v(k,j,i),                  &
                                         ' LWC after collision: ', ql_vp(k,j,i)
              CALL message( 'lpm_droplet_collision', 'PA0040', 2, 2, -1, 6, 1 )
@@ -5989,11 +5805,11 @@
 
  END SUBROUTINE lpm_droplet_collision
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Initialization of the collision efficiency matrix with fixed radius and
-!> dissipation classes, calculated at simulation start only.
-!------------------------------------------------------------------------------! 
+!> Initialization of the collision efficiency matrix with fixed radius and dissipation classes,
+!> calculated at simulation start only.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_init_kernels
 
@@ -6001,23 +5817,22 @@
     INTEGER(iwp) ::  j !<
     INTEGER(iwp) ::  k !<
-    
-!
-!-- Calculate collision efficiencies for fixed radius- and dissipation
-!-- classes
+
+!
+!-- Calculate collision efficiencies for fixed radius- and dissipation classes
     IF ( collision_kernel(6:9) == 'fast' )  THEN
 
-       ALLOCATE( ckernel(1:radius_classes,1:radius_classes,                 &
-                 0:dissipation_classes), epsclass(1:dissipation_classes),   &
+       ALLOCATE( ckernel(1:radius_classes,1:radius_classes,0:dissipation_classes),                 &
+                 epsclass(1:dissipation_classes),                                                  &
                  radclass(1:radius_classes) )
 
 !
-!--    Calculate the radius class bounds with logarithmic distances
-!--    in the interval [1.0E-6, 1000.0E-6] m
+!--    Calculate the radius class bounds with logarithmic distances in the interval
+!--    [1.0E-6, 1000.0E-6] m
        rclass_lbound = LOG( 1.0E-6_wp )
        rclass_ubound = LOG( 1000.0E-6_wp )
        radclass(1)   = EXP( rclass_lbound )
        DO  i = 2, radius_classes
-          radclass(i) = EXP( rclass_lbound +                                &
-                             ( rclass_ubound - rclass_lbound ) *            &
+          radclass(i) = EXP( rclass_lbound +                                                       &
+                             ( rclass_ubound - rclass_lbound ) *                                   &
                              ( i - 1.0_wp ) / ( radius_classes - 1.0_wp ) )
        ENDDO
@@ -6030,7 +5845,7 @@
 !
 !--    Calculate collision efficiencies of the Wang/ayala kernel
-       ALLOCATE( ec(1:radius_classes,1:radius_classes),  &
-                 ecf(1:radius_classes,1:radius_classes), &
-                 gck(1:radius_classes,1:radius_classes), &
+       ALLOCATE( ec(1:radius_classes,1:radius_classes),                                            &
+                 ecf(1:radius_classes,1:radius_classes),                                           &
+                 gck(1:radius_classes,1:radius_classes),                                           &
                  winf(1:radius_classes) )
 
@@ -6054,5 +5869,5 @@
 !
 !--    Calculate collision efficiencies of the Hall kernel
-       ALLOCATE( hkernel(1:radius_classes,1:radius_classes), &
+       ALLOCATE( hkernel(1:radius_classes,1:radius_classes),                                       &
                  hwratio(1:radius_classes,1:radius_classes) )
 
@@ -6062,5 +5877,5 @@
        DO  j = 1, radius_classes
           DO  i =  1, radius_classes
-             hkernel(i,j) = pi * ( radclass(j) + radclass(i) )**2 &
+             hkernel(i,j) = pi * ( radclass(j) + radclass(i) )**2                                  &
                                * ec(i,j) * ABS( winf(j) - winf(i) )
              ckernel(i,j,0) = hkernel(i,j)  ! hall kernel stored on index 0
@@ -6072,9 +5887,7 @@
        IF ( j == -1 )  THEN
           PRINT*, '*** Hall kernel'
-          WRITE ( *,'(5X,20(F4.0,1X))' ) ( radclass(i)*1.0E6_wp, &
-                                           i = 1,radius_classes )
+          WRITE ( *,'(5X,20(F4.0,1X))' ) ( radclass(i)*1.0E6_wp, i = 1,radius_classes )
           DO  j = 1, radius_classes
-             WRITE ( *,'(F4.0,1X,20(F8.4,1X))' ) radclass(j),  &
-                                       ( hkernel(i,j), i = 1,radius_classes )
+             WRITE ( *,'(F4.0,1X,20(F8.4,1X))' ) radclass(j), ( hkernel(i,j), i = 1,radius_classes )
           ENDDO
 
@@ -6091,9 +5904,8 @@
 
              PRINT*, '*** epsilon = ', epsclass(k)
-             WRITE ( *,'(5X,20(F4.0,1X))' ) ( radclass(i) * 1.0E6_wp, &
-                                              i = 1,radius_classes )
+             WRITE ( *,'(5X,20(F4.0,1X))' ) ( radclass(i) * 1.0E6_wp, i = 1,radius_classes )
              DO  j = 1, radius_classes
-                WRITE ( *,'(F4.0,1X,20(F8.4,1X))' ) radclass(j) * 1.0E6_wp, &
-                                       ( hwratio(i,j), i = 1,radius_classes )
+                WRITE ( *,'(F4.0,1X,20(F8.4,1X))' ) radclass(j) * 1.0E6_wp,                        &
+                                                    ( hwratio(i,j), i = 1,radius_classes )
              ENDDO
           ENDDO
@@ -6105,10 +5917,10 @@
 
  END SUBROUTINE lpm_init_kernels
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Calculation of collision kernels during each timestep and for each grid box
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE recalculate_kernel( i1, j1, k1 )
 
@@ -6123,8 +5935,8 @@
     number_of_particles = prt_count(k1,j1,i1)
     radius_classes      = number_of_particles   ! necessary to use the same
-                                                ! subroutines as for 
+                                                ! subroutines as for
                                                 ! precalculated kernels
 
-    ALLOCATE( ec(1:number_of_particles,1:number_of_particles), &
+    ALLOCATE( ec(1:number_of_particles,1:number_of_particles),                                     &
               radclass(1:number_of_particles), winf(1:number_of_particles) )
 
@@ -6143,5 +5955,5 @@
 !
 !--    Call routines to calculate efficiencies for the Wang kernel
-       ALLOCATE( gck(1:number_of_particles,1:number_of_particles), &
+       ALLOCATE( gck(1:number_of_particles,1:number_of_particles),                                 &
                  ecf(1:number_of_particles,1:number_of_particles) )
 
@@ -6165,5 +5977,5 @@
        DO  j = 1, number_of_particles
           DO  i =  1, number_of_particles
-             ckernel(i,j,1) = pi * ( radclass(j) + radclass(i) )**2         &
+             ckernel(i,j,1) = pi * ( radclass(j) + radclass(i) )**2                                &
                                  * ec(i,j) * ABS( winf(j) - winf(i) )
           ENDDO
@@ -6175,16 +5987,14 @@
  END SUBROUTINE recalculate_kernel
 
-!------------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculation of effects of turbulence on the geometric collision kernel 
-!> (by including the droplets' average radial relative velocities and their 
-!> radial distribution function) following the analytic model by Aayala et al. 
-!> (2008, New J. Phys.). For details check the second part 2 of the publication,
-!> page 37ff.
+!> Calculation of effects of turbulence on the geometric collision kernel (by including the
+!> droplets' average radial relative velocities and their radial distribution function) following
+!> the analytic model by Aayala et al. (2008, New J. Phys.). For details check the second part 2 of
+!> the publication, page 37ff.
 !>
-!> Input parameters, which need to be replaced by PALM parameters:
-!>    water density, air density
-!------------------------------------------------------------------------------!
+!> Input parameters, which need to be replaced by PALM parameters: water density, air density
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE turbsd
 
@@ -6284,11 +6094,11 @@
           t2  = tau(j)
 
-          v1xysq  = b1 * d1 * phi_w(c1,e1,v1,t1) - b1 * d2 * phi_w(c1,e2,v1,t1) &
-                  - b2 * d1 * phi_w(c2,e1,v1,t1) + b2 * d2 * phi_w(c2,e2,v1,t1)
+          v1xysq  =   b1 * d1 * phi_w(c1,e1,v1,t1) - b1 * d2 * phi_w(c1,e2,v1,t1)                  &
+                    - b2 * d1 * phi_w(c2,e1,v1,t1) + b2 * d2 * phi_w(c2,e2,v1,t1)
           v1xysq  = v1xysq * urms**2 / t1
           vrms1xy = SQRT( v1xysq )
 
-          v2xysq  = b1 * d1 * phi_w(c1,e1,v2,t2) - b1 * d2 * phi_w(c1,e2,v2,t2) &
-                  - b2 * d1 * phi_w(c2,e1,v2,t2) + b2 * d2 * phi_w(c2,e2,v2,t2)
+          v2xysq  =   b1 * d1 * phi_w(c1,e1,v2,t2) - b1 * d2 * phi_w(c1,e2,v2,t2)                  &
+                    - b2 * d1 * phi_w(c2,e1,v2,t2) + b2 * d2 * phi_w(c2,e2,v2,t2)
           v2xysq  = v2xysq * urms**2 / t2
           vrms2xy = SQRT( v2xysq )
@@ -6306,7 +6116,7 @@
           ENDIF
 
-          v1v2xy   =  b1 * d1 * zhi(c1,e1,v1,t1,v2,t2) - &
-                      b1 * d2 * zhi(c1,e2,v1,t1,v2,t2) - &
-                      b2 * d1 * zhi(c2,e1,v1,t1,v2,t2) + &
+          v1v2xy   =  b1 * d1 * zhi(c1,e1,v1,t1,v2,t2) -                                           &
+                      b1 * d2 * zhi(c1,e2,v1,t1,v2,t2) -                                           &
+                      b2 * d1 * zhi(c2,e1,v1,t1,v2,t2) +                                           &
                       b2 * d2* zhi(c2,e2,v1,t1,v2,t2)
           fr       = d1 * EXP( -rrp / e1 ) - d2 * EXP( -rrp / e2 )
@@ -6325,6 +6135,5 @@
           ENDIF
 
-          xx = -0.1988_wp * sst**4 + 1.5275_wp * sst**3 - 4.2942_wp *       &
-                sst**2 + 5.3406_wp * sst
+          xx = -0.1988_wp * sst**4 + 1.5275_wp * sst**3 - 4.2942_wp * sst**2 + 5.3406_wp * sst
           IF ( xx < 0.0_wp )  xx = 0.0_wp
           yy = 0.1886_wp * EXP( 20.306_wp / lambda_re )
@@ -6340,6 +6149,5 @@
 
 !
-!--       Calculate general collection kernel (without the consideration of
-!--       collection efficiencies)
+!--       Calculate general collection kernel (without the consideration of collection efficiencies)
           gck(i,j) = 2.0_wp * pi * rrp**2 * wrfin * grfin
           gck(j,i) = gck(i,j)
@@ -6352,7 +6160,7 @@
  REAL(wp) FUNCTION phi_w( a, b, vsett, tau0 )
 !
-!-- Function used in the Ayala et al. (2008) analytical model for turbulent
-!-- effects on the collision kernel
-    
+!-- Function used in the Ayala et al. (2008) analytical model for turbulent effects on the
+!-- collision kernel
+
 
     REAL(wp) ::  a     !<
@@ -6369,6 +6177,6 @@
  REAL(wp) FUNCTION zhi( a, b, vsett1, tau1, vsett2, tau2 )
 !
-!-- Function used in the Ayala et al. (2008) analytical model for turbulent
-!-- effects on the collision kernel
+!-- Function used in the Ayala et al. (2008) analytical model for turbulent effects on the collision
+!-- kernel
 
     REAL(wp) ::  a      !<
@@ -6390,9 +6198,8 @@
     aa4 = ( vsett2 / b )**2 - ( 1.0_wp / tau2 + 1.0_wp / a )**2
     aa5 = vsett2 / b + 1.0_wp / tau2 + 1.0_wp / a
-    aa6 = 1.0_wp / tau1 - 1.0_wp / a + ( 1.0_wp / tau2 + 1.0_wp / a) *      &
-          vsett1 / vsett2
-    zhi = (1.0_wp / aa1 - 1.0_wp / aa2 ) * ( vsett1 - vsett2 ) * 0.5_wp /   &
-          b / aa3**2 + ( 4.0_wp / aa4 - 1.0_wp / aa5**2 - 1.0_wp / aa1**2 ) &
-          * vsett2 * 0.5_wp / b /aa6 + ( 2.0_wp * ( b / aa2 - b / aa1 ) -   &
+    aa6 = 1.0_wp / tau1 - 1.0_wp / a + ( 1.0_wp / tau2 + 1.0_wp / a) * vsett1 / vsett2
+    zhi = ( 1.0_wp / aa1 - 1.0_wp / aa2 ) * ( vsett1 - vsett2 ) * 0.5_wp /                         &
+          b / aa3**2 + ( 4.0_wp / aa4 - 1.0_wp / aa5**2 - 1.0_wp / aa1**2 )                        &
+          * vsett2 * 0.5_wp / b /aa6 + ( 2.0_wp * ( b / aa2 - b / aa1 ) -                          &
           vsett1 / aa2**2 + vsett2 / aa1**2 ) * 0.5_wp / b / aa3
 
@@ -6400,20 +6207,19 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Parameterization of terminal velocity following Rogers et al. (1993, J. Appl.
-!> Meteorol.)
-!------------------------------------------------------------------------------!
+!> Parameterization of terminal velocity following Rogers et al. (1993, J. Appl.Meteorol.)
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE fallg
 
     INTEGER(iwp) ::  j                            !<
 
-    REAL(wp), PARAMETER ::  k_cap_rog = 4.0_wp    !< parameter
-    REAL(wp), PARAMETER ::  k_low_rog = 12.0_wp   !< parameter
     REAL(wp), PARAMETER ::  a_rog     = 9.65_wp   !< parameter
     REAL(wp), PARAMETER ::  b_rog     = 10.43_wp  !< parameter
     REAL(wp), PARAMETER ::  c_rog     = 0.6_wp    !< parameter
     REAL(wp), PARAMETER ::  d0_rog    = 0.745_wp  !< seperation diameter
+    REAL(wp), PARAMETER ::  k_cap_rog = 4.0_wp    !< parameter
+    REAL(wp), PARAMETER ::  k_low_rog = 12.0_wp   !< parameter
 
     REAL(wp)            ::  diameter              !< droplet diameter in mm
@@ -6425,6 +6231,5 @@
 
        IF ( diameter <= d0_rog )  THEN
-          winf(j) = k_cap_rog * diameter * ( 1.0_wp -                       &
-                                             EXP( -k_low_rog * diameter ) )
+          winf(j) = k_cap_rog * diameter * ( 1.0_wp - EXP( -k_low_rog * diameter ) )
        ELSE
           winf(j) = a_rog - b_rog * EXP( -c_rog * diameter )
@@ -6436,11 +6241,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Interpolation of collision efficiencies (Hall, 1980, J. Atmos. Sci.)
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE effic
- 
+
     INTEGER(iwp) ::  i  !<
     INTEGER(iwp) ::  iq !<
@@ -6460,7 +6265,7 @@
 
     REAL(wp), DIMENSION(1:21), SAVE ::  rat        !<
-    
+
     REAL(wp), DIMENSION(1:15), SAVE ::  r0         !<
-    
+
     REAL(wp), DIMENSION(1:15,1:21), SAVE ::  ecoll !<
 
